Subject: Re: pthread_cond_timedwait() problem]
From: "Robert Collins" <[email-masked]>
To: "Kern Sibbald" <[email-masked]>
Cc: <[email-masked]>
Date: Fri, 17 Aug 2001 01:46:57 +1000

----- Original Message ----- 
From: "Kern Sibbald" <[email-masked]>
To: "Robert Collins" <[email-masked]>
Sent: Thursday, August 16, 2001 5:26 PM
Subject: [Fwd: pthread_cond_timedwait() problem]

> Hello,
> 
> Please find the program attached.  I apparently made
> a stupid mistake and added the -c option to the compile:
> 
>     gcc -c xxx.c -o xxx
> 
> which is, of course, not correct.  So, I did not actually
> test it on the new dll -- my mistake.
> 
> In any case, I cannot use the new dll since my bash which
> runs in an rxvt with an X simulator immediate crashes.
  ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^

There may be something else wrong with your machine...

Here's my results with your xxx.c

Administrator@LIFELESSWKS /usr/src/pthreadtest
$ make xxx
gcc -g    xxx.c   -o xxx

Administrator@LIFELESSWKS /usr/src/pthreadtest
$ uname -a
CYGWIN_NT-5.0 LIFELESSWKS 1.3.3(0.40/3/2) 2001-06-27 00:27 i686 unknown

Administrator@LIFELESSWKS /usr/src/pthreadtest
$ ./xxx
Timed out

Rob 

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/